/* Modele de Smith - Doubles moindres carres */

data smith;
   infile 'a:\sas\smith.dat'; /* Fichier data non fourni */
   input year y c i t m r;
   ylag = lag(y);
   rlag = lag(r);
   label year = 'ANNEE'
            y = 'REVENU'
            c = 'CONSOMMATION'
            i = 'INVESTISSEMENT'
            t = 'IMPOTS'
            m = 'MASSE MONETAIRE'
            r = 'TAUX D INTERET'
            ylag = 'REVENU DECALE'
            rlag = 'TAUX r DECALE';

proc reg;
   conso   : model  c = y t;
   invest  : model  i = ylag rlag;
   monnaie : model  y = m r;

proc syslin 2sls;
   instruments t m ylag rlag;
   endogenous y c i r;
   conso   : model  c = y t;
   invest  : model  i = ylag rlag;
   monnaie : model  y = m r;

run;
